Classes | Typedefs | Enumerations | Functions
ccc_dk_c.h File Reference

CCC DK Service Client. More...

`#include "gr_includes.h"`
`#include <stdbool.h>`
`#include <stdint.h>`
Include dependency graph for ccc_dk_c.h:

Go to the source code of this file.

## Classes
struct | ccc_dk_c_read_spsm_rsp_t
struct | ccc_dk_c_disc_svc_fail_t
struct | ccc_dk_c_evt_t

## Typedefs
typedef void(* | ccc_dk_c_evt_handler_t) (ccc_dk_c_evt_t *p_evt)

## Enumerations
enum | ccc_dk_c_evt_type_t { CCC_DK_C_EVT_INVALID = 0x00, CCC_DK_C_EVT_DISC_SVC_COMPLETED = 0x01, CCC_DK_C_EVT_DISC_SVC_FAILED = 0x02, CCC_DK_C_EVT_READ_SPSM_RSP = 0x03 }

## Functions
sdk_err_t | ccc_dk_c_init (ccc_dk_c_evt_handler_t evt_handler)
| Initialize ccc dk service client. More...
sdk_err_t | ccc_dk_c_start_disc_srvc (uint8_t conn_idx)
| Start discovery ccc dk service. More...
sdk_err_t | ccc_dk_c_read_spsm (uint8_t conn_idx)
| Read ccc dk spsm. More...
void | ccc_dk_c_disconnect_handler (uint8_t conn_idx)
| Disconnect handler function. More...

## Detailed Description

CCC DK Service Client.

Attention

  ##### Copyright (c) 2024 GOODIX

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met: Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution. Neither the name of GOODIX nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL COPYRIGHT HOLDERS AND CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Definition in file ccc_dk_c.h.

## Typedef Documentation

## ◆ ccc_dk_c_evt_handler_t

typedef void(* ccc_dk_c_evt_handler_t) (ccc_dk_c_evt_t *p_evt)

Definition at line 80 of file ccc_dk_c.h.

## Enumeration Type Documentation

## ◆ ccc_dk_c_evt_type_t

enum ccc_dk_c_evt_type_t

Enumerator
CCC_DK_C_EVT_INVALID |
CCC_DK_C_EVT_DISC_SVC_COMPLETED |
CCC_DK_C_EVT_DISC_SVC_FAILED |
CCC_DK_C_EVT_READ_SPSM_RSP |

Definition at line 50 of file ccc_dk_c.h.

## Function Documentation

## ◆ ccc_dk_c_disconnect_handler()

void ccc_dk_c_disconnect_handler | ( | uint8_t | conn_idx | ) |

Disconnect handler function.

## ◆ ccc_dk_c_init()

sdk_err_t ccc_dk_c_init | ( | ccc_dk_c_evt_handler_t | evt_handler | ) |

Initialize ccc dk service client.

## ◆ ccc_dk_c_read_spsm()

sdk_err_t ccc_dk_c_read_spsm | ( | uint8_t | conn_idx | ) |

Read ccc dk spsm.

## ◆ ccc_dk_c_start_disc_srvc()

sdk_err_t ccc_dk_c_start_disc_srvc | ( | uint8_t | conn_idx | ) |

Start discovery ccc dk service.